/*
    Command line parser implementation.
    Copyright (C) 2011  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */

#ifndef __PARSER_H
#define __PARSER_H	1


/***************************************************************************/
/* define pubblici */

#define MAX_ARGC	32		// numero massimo argomenti

/***************************************************************************/
/* macro pubbliche */

/***************************************************************************/
/* strutture pubbliche */

/***************************************************************************/
/* costanti pubbliche */

#ifdef __PARSER_C

#else

#endif

/***************************************************************************/
/* variabili pubbliche */

#ifdef __PARSER_C

char	 	*Argv[MAX_ARGC];		// array di argomenti

#else

extern char 	*Argv[];			// array di argomenti

#endif

/***************************************************************************/
/* funzioni pubbliche */

// place init functions here


#ifndef __INIT_ONLY_FNCT

int ParseLine(char *LineCmd);
  /* Suddivide la linea di comando in argomenti e costruisce l'array Argv.
     Ritorna il numero di argomenti Argc. */

#endif

/***************************************************************************/
#endif

/* $Source$ */

